#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xfbbe6fb3, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x90dffafc, "");
SYMBOL_CRC(team_options_register, 0xcdbc6eae, "");
SYMBOL_CRC(team_options_unregister, 0xa785540f, "");
SYMBOL_CRC(team_option_inst_set_change, 0x3d384c1a, "");
SYMBOL_CRC(team_options_change_check, 0x5e880940, "");
SYMBOL_CRC(team_mode_register, 0x029e634b, "");
SYMBOL_CRC(team_mode_unregister, 0x3798708f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe0ffa6c, "dev_set_mtu" },
	{ 0x5870cc5b, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x940bb8fe, "__nlmsg_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1b6e908, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xb909d61e, "__netpoll_free" },
	{ 0x6c6ba0e7, "netpoll_send_skb" },
	{ 0xc1881406, "rtnl_link_register" },
	{ 0x5bb20620, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d32b7c, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x55305807, "dev_set_promiscuity" },
	{ 0x23de8b46, "netdev_warn" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd2fad395, "dev_uc_unsync" },
	{ 0xf9d5ec76, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb8ae9571, "netlink_broadcast_filtered" },
	{ 0x314f67b7, "netdev_err" },
	{ 0x3ad121aa, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x72496148, "netdev_rx_handler_unregister" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8f9465e0, "__alloc_skb" },
	{ 0xd61365ce, "module_put" },
	{ 0xdaabcf9b, "dev_uc_flush" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x5bbc84e5, "dev_open" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3062c9ba, "rtnl_link_unregister" },
	{ 0x4dea1053, "memchr" },
	{ 0x84dffbd5, "dev_mc_flush" },
	{ 0x735a19e7, "sk_skb_reason_drop" },
	{ 0x90610b5, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x75997a76, "dev_get_by_index" },
	{ 0x3cf93b5d, "dev_close" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x63e22f90, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1a7c16b3, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x7a82f728, "__ethtool_get_link_ksettings" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xca36c9aa, "dev_set_mac_address" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5dd19812, "netdev_has_upper_dev" },
	{ 0x33bbb5ec, "netdev_change_features" },
	{ 0x8f706514, "netdev_lower_state_changed" },
	{ 0x79d036c2, "netdev_master_upper_dev_link" },
	{ 0x4a318e2b, "vlan_vids_add_by_dev" },
	{ 0x45c763d8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb09497e9, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb6fbcbbe, "vlan_vids_del_by_dev" },
	{ 0x1fef4435, "__netpoll_setup" },
	{ 0x53c277e4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x728eea15, "vlan_vid_add" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x18731764, "call_netdevice_notifiers" },
	{ 0x8c958d5b, "vlan_vid_del" },
	{ 0xebdbbc70, "dev_set_allmulti" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x166d750f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd5efcb7b, "skb_clone" },
	{ 0xd47f42a5, "netif_carrier_on" },
	{ 0x8c143946, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7eca8c0a, "netdev_rx_handler_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9216a4d9, "genl_unregister_family" },
	{ 0xfa9cd0a7, "dev_disable_lro" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x666cfe3, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb1788e51, "dev_mc_unsync" },
	{ 0xd10e758, "genl_register_family" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xf1fc9415, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6c2430d2, "dev_mc_sync_multiple" },
	{ 0x5f81c8a7, "register_netdevice" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "706E787256579494A82A7CD");
MODULE_INFO(rhelversion, "9.7");
