#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xdcc27d82, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xdef9e52f, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe1de014d, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x79057abc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xcefe58e, "__skb_checksum_complete" },
	{ 0x862b6387, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xff248d70, "skb_copy_bits" },
	{ 0x940bb8fe, "__nlmsg_put" },
	{ 0xd3d359f2, "netdev_adjacent_change_commit" },
	{ 0x16c1ad1b, "eth_mac_addr" },
	{ 0xfa987716, "skb_put" },
	{ 0xdce0bafb, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6675969, "ip6_dst_hoplimit" },
	{ 0x3c0f8a8, "param_ops_ushort" },
	{ 0x1b6e908, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x259c0e16, "udp_sock_create4" },
	{ 0x20dae3c3, "udp_tunnel6_xmit_skb" },
	{ 0xc1881406, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x15bef06e, "__unregister_nexthop_notifier" },
	{ 0xdcd062a7, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7aebe66, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x3b4d630a, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x532cd976, "rtnl_create_link" },
	{ 0xd25fdc30, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x8f23a2b4, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xf9d5ec76, "ether_setup" },
	{ 0x37f96e0b, "udp_tunnel_drop_rx_port" },
	{ 0x34d26c80, "netdev_upper_dev_link" },
	{ 0xc8b99696, "pskb_expand_head" },
	{ 0xe6d80206, "register_pernet_subsys" },
	{ 0xbdf91d4, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x8f9465e0, "__alloc_skb" },
	{ 0xb8b6efc8, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd685fce1, "eth_gro_complete" },
	{ 0xc41b5947, "rtnl_set_sk_err" },
	{ 0x95d334c7, "eth_gro_receive" },
	{ 0x8981f512, "rtnl_configure_link" },
	{ 0xe2d3fae7, "skb_tunnel_check_pmtu" },
	{ 0xc7a39bde, "udp_tunnel_dst_lookup" },
	{ 0xca99fa0e, "rtnl_unicast" },
	{ 0x645a07a8, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xc68f60d1, "__skb_get_hash_net" },
	{ 0xba7e554b, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdcd5827b, "__dev_get_by_index" },
	{ 0x3062c9ba, "rtnl_link_unregister" },
	{ 0xfcb475cd, "ipv6_stub" },
	{ 0x90e3f393, "skb_pull" },
	{ 0x9d67d814, "gro_find_complete_by_type" },
	{ 0x735a19e7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc989584e, "dev_get_by_index_rcu" },
	{ 0xa20f2b07, "gro_cells_receive" },
	{ 0x57b361e0, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x63e22f90, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xb1f5de6e, "free_netdev" },
	{ 0x3d9cb4f, "ip_mc_join_group" },
	{ 0x4dd216a0, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xe7d74024, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1a7c16b3, "ethtool_op_get_link" },
	{ 0x42b4f6a1, "nexthop_find_by_id" },
	{ 0xbcdfba2f, "arp_create" },
	{ 0x7a82f728, "__ethtool_get_link_ksettings" },
	{ 0xe069559e, "netdev_adjacent_change_prepare" },
	{ 0xf80130a6, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x80883825, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x1e2f4801, "netdev_adjacent_change_abort" },
	{ 0xf21e8bf3, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x56586393, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x54e91d8a, "__iptunnel_pull_header" },
	{ 0x7817cd3a, "__pskb_pull_tail" },
	{ 0xec2f0c96, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x95f0360f, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x61a3d98, "setup_udp_tunnel_sock" },
	{ 0x4f3e9c58, "udp_sock_create6" },
	{ 0x45c763d8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb09497e9, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x17dafdc1, "skb_scrub_packet" },
	{ 0x3fe2e2e3, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7081da17, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x76e797fc, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc00e8670, "param_ops_bool" },
	{ 0xbcc3b9b4, "udp_tun_rx_dst" },
	{ 0x846c2d37, "rtnl_notify" },
	{ 0x12983965, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x669eff59, "__netif_rx" },
	{ 0xd5efcb7b, "skb_clone" },
	{ 0xd8dae38e, "metadata_dst_alloc" },
	{ 0x37d7f9e4, "dst_release" },
	{ 0x149e9d49, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xbe756dd4, "udp_tunnel_notify_del_rx_port" },
	{ 0xcc2057bd, "register_nexthop_notifier" },
	{ 0xbc5697bf, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x9c63ab36, "gro_find_receive_by_type" },
	{ 0x1578ff0f, "netdev_core_stats_inc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xf1fc9415, "netdev_info" },
	{ 0x9059aa04, "neigh_lookup" },
	{ 0xfad48fa6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5f81c8a7, "register_netdevice" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BF27CFA156EE356313FB69");
MODULE_INFO(rhelversion, "9.7");
