#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89b2054c, "crypto_alloc_ahash" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x455b20bf, "tls_alert_recv" },
	{ 0x862b1d6f, "ip_sock_set_tos" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x61631ac4, "nvmet_req_complete" },
	{ 0x27bc9703, "kernel_bind" },
	{ 0x253ea028, "sock_create" },
	{ 0xa94b48a6, "tls_server_hello_psk" },
	{ 0x8e1e4a49, "tls_handshake_cancel" },
	{ 0x5bfcd3a9, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xf16ac9ff, "kernel_accept" },
	{ 0x383a9240, "kernel_recvmsg" },
	{ 0xc68a6f18, "sock_alloc_file" },
	{ 0x99a54373, "sock_set_priority" },
	{ 0x6b3a5453, "crypto_destroy_tfm" },
	{ 0xe663c9da, "nvmet_sq_destroy" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x7b957abc, "kernel_sendpage" },
	{ 0x5dc51f32, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x72d0869e, "nvmet_req_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3c347319, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xcc0d4144, "fput" },
	{ 0x91300620, "__traceiter_sk_data_ready" },
	{ 0x8933979d, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8551f59, "kernel_getpeername" },
	{ 0x7cca5516, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xad85d28e, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd8f71646, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc3178d43, "inet_pton_with_scope" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd7e886ff, "sock_set_reuseaddr" },
	{ 0xb790306a, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9583b8f6, "crypto_ahash_digest" },
	{ 0xe798236d, "jiffies" },
	{ 0x1742cf96, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21199e52, "kernel_listen" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3105dd8e, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x105a29ca, "sock_recvmsg" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x667aba79, "sock_release" },
	{ 0x6f8055d, "tcp_sock_set_nodelay" },
	{ 0x6529ded, "nvmet_ctrl_fatal_error" },
	{ 0xdb7ebea5, "nvmet_req_uninit" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xbb1f866e, "param_ops_int" },
	{ 0x8391a618, "param_get_int" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0xf15b908c, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x7cefdf1d, "nvme_tls_key_lookup" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x5d93ee7d, "sock_no_linger" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "nvmet,nvme-keyring");


MODULE_INFO(srcversion, "C74F1A347500B9D3D832F78");
MODULE_INFO(rhelversion, "9.7");
