#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x78ab8c34, "");
SYMBOL_CRC(ieee802154_free_hw, 0xf4924488, "");
SYMBOL_CRC(ieee802154_register_hw, 0x6153f203, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x4bab3b91, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xfd3aaa59, "");
SYMBOL_CRC(ieee802154_wake_queue, 0xd4adf37e, "");
SYMBOL_CRC(ieee802154_stop_queue, 0xa35b515f, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf5f0af1f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x447bf9bc, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb70f0a8a, "bpf_trace_run4" },
	{ 0xfa987716, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1b6e908, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0x30c1108d, "skb_dequeue" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0xf76c02e8, "hrtimer_init" },
	{ 0xe0003d5c, "dev_alloc_name" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xecdaf8a9, "crypto_alloc_aead" },
	{ 0xcaf7d666, "bpf_trace_run2" },
	{ 0x23de8b46, "netdev_warn" },
	{ 0x968b4618, "crypto_aead_setauthsize" },
	{ 0xd90ed040, "crypto_aead_decrypt" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0xa39f05aa, "crypto_skcipher_setkey" },
	{ 0xd25fdc30, "unregister_netdevice_queue" },
	{ 0x672f9e47, "ieee802154_hdr_peek_addrs" },
	{ 0xfed468a2, "wpan_phy_unregister" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0x6b3a5453, "crypto_destroy_tfm" },
	{ 0xa0f4c89f, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0xea4fac1, "crypto_skcipher_decrypt" },
	{ 0x42da234c, "skb_copy_expand" },
	{ 0x8d171926, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9c94dca0, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb148189d, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe91418, "wpan_phy_register" },
	{ 0xab5492e8, "crypto_aead_encrypt" },
	{ 0x735a19e7, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x57b361e0, "skb_push" },
	{ 0x71aae957, "ieee802154_hdr_peek" },
	{ 0x1d96c324, "wpan_phy_free" },
	{ 0x721cb190, "netif_receive_skb" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb1f5de6e, "free_netdev" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5c616e1, "bpf_trace_run1" },
	{ 0x27956486, "netif_tx_wake_queue" },
	{ 0xb1db5816, "_dev_warn" },
	{ 0x27e9ac7, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5cf3465c, "ieee802154_hdr_pull" },
	{ 0x42210181, "crypto_alloc_sync_skcipher" },
	{ 0x45c763d8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb09497e9, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xeff8d916, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9a745cbe, "wpan_phy_new" },
	{ 0xd5efcb7b, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c3cbabd, "hrtimer_cancel" },
	{ 0x4ee322de, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x666cfe3, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x5f81c8a7, "register_netdevice" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "46960314F983F83CB5B47F0");
MODULE_INFO(rhelversion, "9.7");
