#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x8d041717, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x7f39d9f7, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xfdfc8cf7, "_gpl");
SYMBOL_CRC(fat_scan, 0x3765da86, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x1cb475df, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x3942fd10, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xdaa51692, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x3fece798, "_gpl");
SYMBOL_CRC(fat_getattr, 0x7b0407af, "_gpl");
SYMBOL_CRC(fat_setattr, 0x4dc50ddb, "_gpl");
SYMBOL_CRC(fat_attach, 0xdf309394, "_gpl");
SYMBOL_CRC(fat_detach, 0x2fd20c7a, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x56a28037, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x4a82130d, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x43b10581, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x7910401f, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x1622bd5d, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x5b6595ad, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x0b8d332d, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x58621317, "_gpl");
SYMBOL_CRC(fat_update_time, 0x79abf33d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98dafcfe, "filemap_fdatawrite" },
	{ 0xbcaf251d, "generic_fillattr" },
	{ 0x108f21c9, "setattr_prepare" },
	{ 0x25ab0dec, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x9235e28d, "sync_blockdev_nowait" },
	{ 0xb6daaca, "make_vfsgid" },
	{ 0x3cb7bfb5, "blk_start_plug" },
	{ 0x74c48813, "clear_inode" },
	{ 0xbf70586f, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x1b3694de, "generic_file_splice_read" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd48a7979, "new_inode" },
	{ 0xf1df08f0, "mark_buffer_dirty" },
	{ 0x1fd9345c, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x232aa8f1, "__find_get_block" },
	{ 0x81a57a2f, "filemap_fdatawrite_range" },
	{ 0xb1ddfc3e, "inode_needs_sync" },
	{ 0x8a5d3621, "__blockdev_direct_IO" },
	{ 0x6894358c, "d_make_root" },
	{ 0x278517b4, "__bforget" },
	{ 0x3c10929e, "sb_set_blocksize" },
	{ 0xdab542eb, "block_truncate_page" },
	{ 0x3ab2c26c, "write_dirty_buffer" },
	{ 0x5590d6d6, "sync_filesystem" },
	{ 0xaed6e857, "fsnotify" },
	{ 0xe699b7fa, "current_time" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9189afb4, "from_vfsuid" },
	{ 0xebe30375, "inode_dio_wait" },
	{ 0x7136e58d, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x23bcb0a8, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x98325197, "iput" },
	{ 0xedc5d6a5, "iter_file_splice_write" },
	{ 0x3c3879cd, "generic_file_write_iter" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0xb984fc28, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x48f6fa79, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x7fdc352c, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x8463eee6, "block_invalidate_folio" },
	{ 0x2174f48d, "__breadahead" },
	{ 0x3dbb5b88, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x47e9adef, "load_nls" },
	{ 0x75c8b6cb, "generic_cont_expand_simple" },
	{ 0xc874bf7f, "make_kuid" },
	{ 0xeb6c9b5b, "truncate_inode_pages_final" },
	{ 0xf58673b9, "block_write_full_page" },
	{ 0x8550d163, "generic_file_mmap" },
	{ 0xa18ee22d, "sync_mapping_buffers" },
	{ 0xa34cf892, "ilookup" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0xa0ab77c6, "invalidate_inode_buffers" },
	{ 0x933b47d6, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x21feb4cc, "mnt_drop_write_file" },
	{ 0x1f4f0d73, "inode_init_once" },
	{ 0x3284d734, "compat_ptr_ioctl" },
	{ 0x7d8f0263, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x5ee316b2, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x1532f199, "generic_file_read_iter" },
	{ 0x29181b3f, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x4b645b6b, "truncate_pagecache" },
	{ 0x7eb4805d, "sync_dirty_buffer" },
	{ 0xe9d63815, "setattr_copy" },
	{ 0xdcff27af, "__wait_on_buffer" },
	{ 0xeca17eaa, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd9c08f17, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xc4f2ba95, "from_vfsgid" },
	{ 0xa3a20b5b, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xff0b2108, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4b074aef, "__bread_gfp" },
	{ 0xb1dda0fd, "block_dirty_folio" },
	{ 0x6b775dfb, "mpage_read_folio" },
	{ 0xb464ce11, "__insert_inode_hash" },
	{ 0x926ef7c1, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x13242cd, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x8cdef317, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2a5ec991, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe260c9fe, "igrab" },
	{ 0x2f045426, "__getblk_gfp" },
	{ 0x4e8514d7, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x679fb888, "mpage_readahead" },
	{ 0x41587b14, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x3d491e68, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x18b63169, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1ee18d5e, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe78161c6, "blkdev_issue_flush" },
	{ 0xc20cdf7, "seq_puts" },
	{ 0x1f162056, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x64ac876e, "from_kuid_munged" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x3d86f5dd, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9a0d2e95, "kmem_cache_alloc_lru" },
	{ 0xec119b70, "__mark_inode_dirty" },
	{ 0xc445648e, "generic_file_llseek" },
	{ 0x5baefa13, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x3ef85af8, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x21348ab, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0xa50747b6, "blkdev_issue_discard" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "033CF30DAAD5CFA1CC33BC6");
MODULE_INFO(rhelversion, "9.7");
