#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x34947157, "");
SYMBOL_CRC(wpan_phy_for_each, 0xc113cca3, "");
SYMBOL_CRC(wpan_phy_new, 0x9a745cbe, "");
SYMBOL_CRC(wpan_phy_register, 0x00e91418, "");
SYMBOL_CRC(wpan_phy_unregister, 0xfed468a2, "");
SYMBOL_CRC(wpan_phy_free, 0x1d96c324, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x4ee322de, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x5cf3465c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x672f9e47, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x71aae957, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb70f0a8a, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x81ac33e3, "dev_set_name" },
	{ 0x1e5cae61, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0x178fac2d, "device_initialize" },
	{ 0x5bb20620, "genlmsg_put" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcaf7d666, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xdb2e10a5, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb8ae9571, "netlink_broadcast_filtered" },
	{ 0x837cae50, "device_rename" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8beb1c2c, "put_device" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x8f9465e0, "__alloc_skb" },
	{ 0x86e02048, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xdcd5827b, "__dev_get_by_index" },
	{ 0xb148189d, "perf_trace_run_bpf_submit" },
	{ 0x8933979d, "init_net" },
	{ 0x90e3f393, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86866a9e, "device_add" },
	{ 0x735a19e7, "sk_skb_reason_drop" },
	{ 0x90610b5, "netlink_unicast" },
	{ 0x75997a76, "dev_get_by_index" },
	{ 0x57b361e0, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0x190360f1, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x23ac06b, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5c616e1, "bpf_trace_run1" },
	{ 0x1d2b2ff1, "device_del" },
	{ 0xca36c9aa, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7817cd3a, "__pskb_pull_tail" },
	{ 0x45c763d8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xeff8d916, "bpf_trace_run3" },
	{ 0xceb210a1, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x76b73853, "get_net_ns_by_pid" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbfaec8df, "device_match_name" },
	{ 0x44efc0b4, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9216a4d9, "genl_unregister_family" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xd10e758, "genl_register_family" },
	{ 0xbcae1024, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x646afa48, "register_pernet_device" },
	{ 0x9e61e162, "get_net_ns_by_fd" },
	{ 0xe37dbdbc, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x34283088, "class_find_device" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "99460F196D17F01C50D913C");
MODULE_INFO(rhelversion, "9.7");
