#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x5793b77e, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xa6f4d87c, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xb9402660, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xf1437b6f, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xa2efa83e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51d791c6, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x319996f8, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb15565ec, "inet_addr_type_table" },
	{ 0x862b6387, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xff248d70, "skb_copy_bits" },
	{ 0x2c9c5a9f, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xb8ff8022, "sock_wfree" },
	{ 0xfa987716, "skb_put" },
	{ 0x8055170e, "register_net_sysctl" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x8eee12dc, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6675969, "ip6_dst_hoplimit" },
	{ 0x1b6e908, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x6e59fa79, "inet6_add_offload" },
	{ 0x690f6e4a, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1205d7d0, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0x25b97e52, "l3mdev_fib_table_by_index" },
	{ 0x259c0e16, "udp_sock_create4" },
	{ 0x30c1108d, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x54f7802c, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6412aa8a, "__skb_ext_del" },
	{ 0x43bdceb1, "skb_segment" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0xa11120c4, "__ip_dev_find" },
	{ 0x20dae3c3, "udp_tunnel6_xmit_skb" },
	{ 0xd7b2d8b0, "sock_common_getsockopt" },
	{ 0x54d8c4d4, "inet_bind" },
	{ 0x253ea028, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x15a7d6fa, "fd_install" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd8e134f, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd4ef490f, "__xfrm_policy_check" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xcaf7d666, "bpf_trace_run2" },
	{ 0x2a1f2b4f, "sock_common_setsockopt" },
	{ 0x19035328, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd145dddd, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0x6889327e, "__sk_mem_schedule" },
	{ 0x7c175757, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc68a6f18, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x576bb06d, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1e1469e9, "sk_error_report" },
	{ 0xe6d80206, "register_pernet_subsys" },
	{ 0xe800661d, "put_cmsg" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x7b8eb0a, "inet_sock_destruct" },
	{ 0x6b3a5453, "crypto_destroy_tfm" },
	{ 0x3767cdf4, "sock_kmalloc" },
	{ 0xe874baf3, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x68ed94f, "inet_getname" },
	{ 0x2b862ac6, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8f9465e0, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0x10dd3a0, "inet_release" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0x186760c7, "proto_register" },
	{ 0x42da234c, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x34e14f19, "__sock_recv_ts_and_drops" },
	{ 0x6738f613, "inet6_compat_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x84e08367, "inet_ctl_sock_create" },
	{ 0x17995da5, "inet_ioctl" },
	{ 0x2a2d21b3, "reuseport_add_sock" },
	{ 0xfd8e870e, "reuseport_select_sock" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x5f9ede6c, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x60a9ecbf, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb148189d, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xcc0d4144, "fput" },
	{ 0x91300620, "__traceiter_sk_data_ready" },
	{ 0x776d109, "inet_accept" },
	{ 0x8933979d, "init_net" },
	{ 0x7a0cbc0d, "crypto_shash_setkey" },
	{ 0x90e3f393, "skb_pull" },
	{ 0xedccae5b, "inet_add_offload" },
	{ 0x735a19e7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x770ed889, "inet_add_protocol" },
	{ 0xb3e988a9, "inet_shutdown" },
	{ 0x20c3962a, "sk_free" },
	{ 0x1cffcad, "sock_wake_async" },
	{ 0xc989584e, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc7f74c4a, "inet_del_offload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x57b361e0, "skb_push" },
	{ 0x2abb33f1, "__ip_queue_xmit" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0xa462a718, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe7d74024, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x1d505b4a, "inet6_ioctl" },
	{ 0x62ee6e56, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x293c9729, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x80883825, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xc9bb7551, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x34828e87, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf21e8bf3, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfdb27c4c, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7817cd3a, "__pskb_pull_tail" },
	{ 0x6bacc3cf, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x61a3d98, "setup_udp_tunnel_sock" },
	{ 0x4f3e9c58, "udp_sock_create6" },
	{ 0x45c763d8, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xf0b98fa8, "sk_common_release" },
	{ 0xeff8d916, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf9786f07, "inet6_getname" },
	{ 0x3e754e86, "sock_i_ino" },
	{ 0x69e8977b, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x35df495f, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xd5d7fc82, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x93a8a140, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0xd3d743d7, "__skb_checksum" },
	{ 0x10fc4170, "reuseport_alloc" },
	{ 0xad40daba, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa3ddb935, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xaae483d2, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc00e8670, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xbf57e44f, "ipv6_dup_options" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x12983965, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x18b63169, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6366218f, "proc_create_net_single" },
	{ 0x1dd1dd61, "skb_copy" },
	{ 0xd5efcb7b, "skb_clone" },
	{ 0x8581d4c, "inet_sk_set_state" },
	{ 0x37d7f9e4, "dst_release" },
	{ 0xd49bfeb6, "_copy_from_iter" },
	{ 0x667aba79, "sock_release" },
	{ 0x42fa60a, "inet_recv_error" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xc20cdf7, "seq_puts" },
	{ 0x62cdcefb, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x75e647af, "_proc_mkdir" },
	{ 0x62176d23, "sk_setup_caps" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd5e3d11f, "send_sig" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x994bcc18, "inet6_add_protocol" },
	{ 0x64ac876e, "from_kuid_munged" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x5e8eb1d4, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x411bf240, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1653530e, "ipv6_getsockopt" },
	{ 0x9674ea40, "reuseport_detach_sock" },
	{ 0x195bf99, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x7e7a6a60, "iov_iter_revert" },
	{ 0xedc06e2e, "crypto_alloc_shash" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa6415eb2, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0xfad48fa6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb3ec77f3, "skb_queue_head" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "7492B8CD3F746EF38F1C74E");
MODULE_INFO(rhelversion, "9.7");
