#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xde807597, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x12858022, "_gpl");
SYMBOL_CRC(tls_get_record, 0x7b7ffce9, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xbaff7697, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xb990c1a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0e3cf4b, "sk_msg_free" },
	{ 0x409de49e, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe12e97b8, "tcp_read_sock" },
	{ 0xb70f0a8a, "bpf_trace_run4" },
	{ 0xff248d70, "skb_copy_bits" },
	{ 0x6eddf463, "sk_page_frag_refill" },
	{ 0xfa987716, "skb_put" },
	{ 0x1b6e908, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66ab227, "trace_raw_output_prep" },
	{ 0x2c0f274b, "sk_psock_msg_verdict" },
	{ 0x8484ea1b, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xa46b99c2, "trace_event_printf" },
	{ 0x38ba83e8, "iov_iter_get_pages2" },
	{ 0x28499075, "___pskb_trim" },
	{ 0x91ad3bd3, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xac147c8d, "clean_acked_data_enable" },
	{ 0x82ca1e76, "skb_splice_bits" },
	{ 0xecdaf8a9, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x968b4618, "crypto_aead_setauthsize" },
	{ 0xd90ed040, "crypto_aead_decrypt" },
	{ 0xd3c57551, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x5130152, "sk_stream_error" },
	{ 0xc3042ea0, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x395d349f, "sk_msg_memcopy_from_iter" },
	{ 0x1e1469e9, "sk_error_report" },
	{ 0xe6d80206, "register_pernet_subsys" },
	{ 0xe800661d, "put_cmsg" },
	{ 0xa7085f80, "__sk_flush_backlog" },
	{ 0x6993dbe9, "trace_event_buffer_commit" },
	{ 0x6b3a5453, "crypto_destroy_tfm" },
	{ 0x75307906, "do_tcp_sendpages" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc5315a2, "sk_psock_tls_strp_read" },
	{ 0x2d9038e3, "sk_msg_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf68685ac, "trace_event_ignore_this_pid" },
	{ 0x8f9465e0, "__alloc_skb" },
	{ 0x94169d08, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x2b4781c2, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9c94dca0, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb148189d, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x91300620, "__traceiter_sk_data_ready" },
	{ 0xb753afc, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xab5492e8, "crypto_aead_encrypt" },
	{ 0x735a19e7, "sk_skb_reason_drop" },
	{ 0x72f34c71, "bpf_trace_run5" },
	{ 0x20c3962a, "sk_free" },
	{ 0x472c02a4, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa462a718, "__sk_mem_reclaim" },
	{ 0xebbe1a60, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x89232e1a, "trace_event_reg" },
	{ 0x38e079de, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0xacc6ee0c, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe7d74024, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5f78ed1b, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x62ee6e56, "skb_copy_datagram_iter" },
	{ 0x5c616e1, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x80883825, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x1c5a9869, "sock_efree" },
	{ 0xc2e89da3, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x126db55, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7fe4899e, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x45c763d8, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xa44371ba, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x543f70d1, "tcp_register_ulp" },
	{ 0xeff8d916, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe6e7b20e, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3acd2a2c, "skb_page_frag_refill" },
	{ 0x5d928541, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xb003778f, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xd02b2238, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa36116a0, "__folio_put" },
	{ 0x755dbb8f, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x18b63169, "seq_printf" },
	{ 0x6366218f, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd5efcb7b, "skb_clone" },
	{ 0x37d7f9e4, "dst_release" },
	{ 0xd49bfeb6, "_copy_from_iter" },
	{ 0x5691a2c2, "skb_copy_header" },
	{ 0xd86cc469, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xb404937f, "netdev_sk_get_lowest_dev" },
	{ 0x37b52b66, "sk_msg_alloc" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xae6b2224, "_copy_from_iter_nocache" },
	{ 0x311e9540, "tcp_rate_check_app_limited" },
	{ 0x9265a772, "tcp_poll" },
	{ 0x7e7a6a60, "iov_iter_revert" },
	{ 0x568f5168, "sk_msg_zerocopy_from_iter" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xf83b189f, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x58e129e1, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xe0d1ac02, "tcp_read_done" },
	{ 0xfad48fa6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB3D7F0602F4B97BCD49213");
MODULE_INFO(rhelversion, "9.7");
